# 删除 Worker (/docs/api/compatible/cloudflare/deleteWorker)



`DELETE /cloudflare/client/v4/accounts/{account_id}/workers/workers/{worker_id}`

Delete a Worker. It can be restored on the native API for 7 days. force is accepted and ignored.

**支持状态: supported**

## 参数 [#参数]

| 名称          | 位置   | 类型     | 必填   | 说明                                              |
| ----------- | ---- | ------ | ---- | ----------------------------------------------- |
| account\_id | path | string | true | Any value; your account comes from the API key. |
| worker\_id  | path | string | true | Worker ID or name.                              |

## 响应 [#响应]

### HTTP 200 [#http-200]

Success

**application/json**

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| success | boolean | Always true on success. |
| errors | array&lt;any&gt; | Always empty on success. |
| messages | array&lt;any&gt; | Always empty on success. |
| result | null | No result. |
| result_info | object | Present on list responses. |
| result_info.page | integer | Page number. |
| result_info.per_page | integer | Page size. |
| result_info.count | integer | Items on this page. |
